# Class GetXmrNewSubaddressReply

#### Hierarchy

- unknown
  - GetXmrNewSubaddressReply

- Defined in src/protobuf/grpc_pb.d.ts:3076
- Defined in src/protobuf/grpc_pb.d.ts:3088

#####
Index

### Constructors

constructor

### Methods

getSubaddress
serializeBinary
setSubaddress
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new GetXmrNewSubaddressReply(): GetXmrNewSubaddressReply

- #### Returns GetXmrNewSubaddressReply

  Inherited from jspb.Message.constructor

## Methods

### getSubaddress

- getSubaddress(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:3077

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:3080

### setSubaddress

- setSubaddress(value: string): GetXmrNewSubaddressReply

- #### Parameters

  - ##### value: string

  #### Returns GetXmrNewSubaddressReply

  - Defined in src/protobuf/grpc_pb.d.ts:3078

### toObject

- toObject(includeInstance?: boolean): GetXmrNewSubaddressReply.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns GetXmrNewSubaddressReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:3081

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetXmrNewSubaddressReply

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetXmrNewSubaddressReply

  - Defined in src/protobuf/grpc_pb.d.ts:3084

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetXmrNewSubaddressReply, reader: BinaryReader): GetXmrNewSubaddressReply

- #### Parameters

  - ##### message: GetXmrNewSubaddressReply

  - ##### reader: BinaryReader

  #### Returns GetXmrNewSubaddressReply

  - Defined in src/protobuf/grpc_pb.d.ts:3085

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: GetXmrNewSubaddressReply, writer: BinaryWriter): void

- #### Parameters

  - ##### message: GetXmrNewSubaddressReply

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:3083

### `Static` toObject

- toObject(includeInstance: boolean, msg: GetXmrNewSubaddressReply): GetXmrNewSubaddressReply.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetXmrNewSubaddressReply

  #### Returns GetXmrNewSubaddressReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:3082

Generated using TypeDoc